Uploaded image for project: 'FreeNAS / TrueNAS'
  1. FreeNAS / TrueNAS
  2. NAS-101760

Allow dots in iocage jail name

    XMLWordPrintable

    Details

      JEditor

        Description

        Upgrade:

        Operation     Name
        Upgrade     base-os-11.2-U3-c1844ecade4cafab1f7478b278eef7b9 -> base-os-11.2-U4.1-90bc29e36f3aa341bfad6c64027b41d5
        Upgrade     freebsd-pkgdb-11.2-U3-c1844ecade4cafab1f7478b278eef7b9 -> freebsd-pkgdb-11.2-U4.1-90bc29e36f3aa341bfad6c64027b41d5
        Upgrade     freenas-pkg-tools-11.2-U3-c1844ecade4cafab1f7478b278eef7b9 -> freenas-pkg-tools-11.2-U4.1-90bc29e36f3aa341bfad6c64027b41d5
        Upgrade     FreeNASUI-11.2-U3-c1844ecade4cafab1f7478b278eef7b9 -> FreeNASUI-11.2-U4.1-90bc29e36f3aa341bfad6c64027b41d5

        Causes all jails to be down after reboot.

        All jails were created using GUI (new, not legacy).

        All jails release: 11.2-RELEASE-p8

        Trying starting manually results in:

        FileNotFoundError
        [Errno 2] No such file or directory: '/mnt/vol0/iocage/jails/jail_apache/fstab'
        
        More info:
        Error: concurrent.futures.process._RemoteTraceback:
        """
        Traceback (most recent call last):
          File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
            r = call_item.fn(*call_item.args, **call_item.kwargs)
          File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 131, in main_worker
            res = loop.run_until_complete(coro)
          File "/usr/local/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
            return future.result()
          File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 91, in _run
            return await self._call(name, serviceobj, methodobj, params=args, job=job)
          File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 84, in _call
            return methodobj(*params)
          File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 84, in _call
            return methodobj(*params)
          File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 668, in nf
            return f(*args, **kwargs)
          File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 609, in start
            iocage.start()
          File "/usr/local/lib/python3.6/site-packages/iocage_lib/iocage.py", line 1663, in start
            callback=self.callback
          File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_start.py", line 66, in __init__
            self.__start_jail__()
          File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_start.py", line 148, in __start_jail__
            with open(f'{self.iocroot}/jails/{self.uuid}/fstab', 'r') as _fstab:
        FileNotFoundError: [Errno 2] No such file or directory: '/mnt/vol0/iocage/jails/jail_apache/fstab'
        """
        
        The above exception was the direct cause of the following exception:
        
        Traceback (most recent call last):
          File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 166, in call_method
            result = await self.middleware.call_method(self, message)
          File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1097, in call_method
            return await self._call(message['method'], serviceobj, methodobj, params, app=app, io_thread=False)
          File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1042, in _call
            return await self._call_worker(name, *args)
          File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1062, in _call_worker
            return await self.run_in_proc(main_worker, name, args, job)
          File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 996, in run_in_proc
            return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
          File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 972, in run_in_executor
            return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
        FileNotFoundError: [Errno 2] No such file or directory: '/mnt/vol0/iocage/jails/jail_apache/fstab'

        Checked from shell (and via SSH) and this exist, is accessible, and shows no odd permissions:

        '/mnt/vol0/iocage/jails/jail_apache/fstab'

        Reverting to 11.2-U3 as Boot Environment restores normal jail operation.

        Regards

          Attachments

            Attachments

              Activity

                People

                Assignee:
                brandon Brandon Schneider (Inactive)
                Reporter:
                Lucian Lucian Girlea
                Votes:
                1 Vote for this issue
                Watchers:
                6 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved:

                    Summary Panel